
QGIS Application - Bug report #4417

editing widgets: "slider range" and "dial range" do not show any value when moving/rotating

2011-10-21 02:59 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14349

Description

In the editing widgets, the "slider range" and "dial range" widgets do not show any value when moving or rotating (by the way, the dial

symbol is too small), so the user has no idea about the value he/she is selecting.

Associated revisions

Revision 373ec569 - 2014-05-22 10:42 PM - Daniel Vaz

Add new custom widgets (QgsSlider and QgsDial)

Modified versions of QSlider and QDial which show the current value

Fix #4417

Revision ea91b6fe - 2014-05-22 10:50 PM - Matthias Kuhn

[FEATURE] Port editor widgets to new API

Create a new widget for for attribute form

fix #10281

fix #7319

fix #7013

fix #9335

fix #4417

History

#1 - 2011-10-24 06:38 AM - Giovanni Manghi

- Subject changed from editing widgets: slider wrong to editing widgets: "slider range" and "dial range" do not show any value when moving/rotating

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 11:56 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2013-07-18 06:47 PM - Daniel Vaz

First attempt to fix this issue, please give a try: https://github.com/qgis/Quantum-GIS/pull/751

I look forward to hear you soon.

Thanks

#6 - 2013-07-18 06:57 PM - Daniel Vaz

Sorry. Please check https://github.com/qgis/Quantum-GIS/pull/752

Thanks

#7 - 2013-07-19 10:26 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#8 - 2014-01-24 07:08 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Target version changed from Version 2.0.0 to Future Release - High Priority

What is the status of the PR?

By the way: in qgis master the dial control seems gone, and if selecting "slider" then when editing the table the slider does not show.

#9 - 2014-03-28 01:47 AM - Alexander Bruy

- Pull Request or Patch supplied changed from Yes to No

- Status changed from Feedback to In Progress

There is work in progress on a new custom widget library which hopefully will be introduced for 2.4. This branch includes proposed patch

#10 - 2014-05-22 01:52 PM - Matthias Kuhn

- Status changed from In Progress to Closed

Fixed in changeset commit:"ea91b6fe4a21ff741de918a11d0f2a26a291c1e2".
